from .slot import Slot

class Frame:
    def __init__(self, source: str, act: str, slots: list[Slot]):
        self.source = source
        self.slots = slots
        self.act = act

    def __str__(self):
        msg = f"Act: {self.act}, Slots: ["
        for slot in self.slots:
            msg += f"({slot}), "
        msg += "]"
        return msg
